Name:		spice-vdagent
Version:	0.16.0
Release:	1
Summary:	Agent for Spice guests
Group:		System/Kernel and hardware
License:	GPLv3+
URL:		http://spice-space.org/
Source0:	http://spice-space.org/download/releases/%{name}-%{version}.tar.bz2
Patch1:		0001-Revert-uinput-fix-small-leak-of-screen_info.patch
Patch2:		0002-vdagent-Return-1-when-virtio-device-cannot-be-opened.patch
BuildRequires:	spice-protocol
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(libsystemd-login) >= 188
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(pciaccess)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(alsa)
Requires(pre):	rpm-helper
Requires(preun): rpm-helper

%description
Spice agent for Linux guests offering the following features:

Features:
* Client mouse mode (no need to grab mouse by client, no mouse lag)
  this is handled by the daemon by feeding mouse events into the kernel
  via uinput. This will only work if the active X-session is running a
  spice-vdagent process so that its resolution can be determined.
* Automatic adjustment of the X-session resolution to the client resolution
* Support of copy and paste (text and images) between the active X-session
  and the client
* And more. See README.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%configure2_5x \
	--with-session-info=systemd \
	--with-init-script=systemd

%make

%install
%makeinstall_std
find . -type d -perm 0775 -exec chmod 0755 {} \;

%post
%tmpfiles_create %{_tmpfilesdir}/spice-vdagentd.conf
%systemd_post spice-vdagentd.service

%preun
%systemd_preun spice-vdagentd.service

%postun
%systemd_postun_with_restart spice-vdagentd.service

%files
%doc COPYING ChangeLog README TODO
%config %{_sysconfdir}/xdg/autostart/spice-vdagent.desktop
/lib/udev/rules.d/70-spice-vdagentd.rules
%{_unitdir}/spice-vdagentd.service
%{_unitdir}/spice-vdagentd.target
%{_tmpfilesdir}/spice-vdagentd.conf
%{_bindir}/spice-vdagent
%{_sbindir}/spice-vdagentd
%ghost %attr(0755,root,root) %{_localstatedir}/run/spice-vdagentd
%{_mandir}/man1/spice-vdagent.1.xz
%{_mandir}/man1/spice-vdagentd.1.xz
# For /usr/share/gdm/autostart/LoginWindow/spice-vdagent.desktop
# We own the dir too, otherwise we must Require gdm
%{_datadir}/gdm

%changelog

* Mon Oct 24 2016 abondrov <andrey.bondrov@rosalab.ru> 0.16.0-1
- (bcf7a64) Merge pull request #5 from keleg/spice-vdagent:rosa2014.1
- (bcf7a64) Update to 0.16


